VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Enumerations
Version 4.7
New classes

## Classes
class | CubicBezierTimingFunction
class | ICommandMenuItemTarget
| Command menu item target. More...
class | IOptionMenuListener
| Option menu listener. More...
class | ITextLabelListener
| Listener for a text label. More...
struct | DragDescription
| Drag description. More...
class | IDraggingSession
| Dragging session interface. More...
struct | DragEventData
| Drag event data. More...
class | IDropTarget
| Drop target interface. More...
class | IDragCallback
| Drag callback interface. More...
class | DragCallbackAdapter
| Drag callback interface adapter. More...
class | DragCallbackFunctions
| Drag callback interface adapter which calls std::functions. More...
class | DropTargetAdapter
| Drop target interface adapter. More...
class | IViewMouseListener
| View Mouse Listener Interface. More...
class | ViewMouseListenerAdapter
| View Mouse Listener Interface Adapter. More...

## Enumerations
enum class | DragOperation { Copy , Move , None }
| Drag operation. More...

## Detailed Description

## Enumeration Type Documentation

## ◆ DragOperation

enum class DragOperation
| strong

Drag operation.

Enumerator
Copy | the drag will be or was copied
Move | the drag will be or was moved
None | no drag operation will occure or was happening